Dist::Zilla::Role::TextTemplate(3)

NAME
Dist::Zilla::Role::TextTemplate - something that renders a Text::Template template string

VERSION
version 4.300016

DESCRIPTION
Plugins implementing TextTemplate may call their own "fill_in_string" method to render templates using Text::Template.

ATTRIBUTES

  delim
This attribute (which can't easily be set!) is a two-element array reference returning the Text::Template delimiters to use. It defaults to "{{" and "}}".

METHODS

  fill_in_string
  my $rendered = $plugin->fill_in_string($template, \%stash, \%arg);

This uses Text::Template to fill in the given template using the variables given in the %stash. The stash becomes the HASH argument to Text::Template, so scalars must be scalar references rather than plain scalars.

%arg is dereferenced and passed in as extra arguments to Text::Template's "fill_in_string" routine.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.